#!/bin/sh 
nova_bin=/project/npac_srvtools/bin/stats
docroot=/usr/local/archives/public/html
#logroot=/project/C067
logroot=/project/www_npac_log
tmp=/var/tmp

# Maximum value for Y axis on monthly graphs.
#
ymax=500000

#
# Directories for stats files and binaries.
#
statsdir=$docroot/stats

#
# Binary names
#
gwstat="$nova_bin/gwstat"
#gwstat_new="$nova_bin/gwstat_new"
combine="$nova_bin/combine"

LD_LIBRARY_PATH=/usr/dt/lib:/usr/X11R6/lib:/usr/ucblib:/usr/openwin/lib
#
#	Create base gif if required.  The X display must be available to
#	do this.
#
if ( test -f $statsdir/archive/base.gif ) then
  echo "Using existing base.gif" > /dev/null 
else
  echo "Creating new base.gif" > /dev/null
  $nova_bin/montage \
   -title 4x1 -geometry 100x100 -title "Clickable Traffic graph" \
   -label "1994" $statsdir/archive/NA.gif \
   -label "1995" $statsdir/archive/NA.gif \
   -label "1996" $statsdir/archive/NA.gif \
   -label "1997" $statsdir/archive/NA.gif \
   $statsdir/archive/base.gif
fi

exit
