#!/usr/local/bin/perl

#######################################################################
# getSpider perl program
# Getting a difference value between whole and non-robot access number.
#
# Usage: ./getSpider.pl an_access_file a_non-robot_access_file
#
# An access file is 'wwwday.html' and non-robot access file is
# 'wwwdaynr.html' file. (If any other access HTML file from wwwstats.)
#
# Made by Jungkee (Jake) Kim on 7th October 1999.
#

$startTag = "<PRE>\n";
$sequence = 0;

open (IN0, "$ARGV[0]") || die "Can't open $ARGV[0]";

while (<IN0>) {
  if ($_ eq $startTag) {
    $sequence++;
  }
  elsif ($sequence == 1) {
    /\s(\d+)\n/;
    $xferfiles = $1;
    last;
  }
}

close(IN0);

$sequence = 0;

open (IN1, "$ARGV[1]") || die "Can't open $ARGV[1]";

while (<IN1>) {
  if ($_ eq $startTag) {
    $sequence++;
  }
  elsif ($sequence == 1) {
    /\s(\d+)\n/;
    $xferfilesnr = $1;
    last;
  }
}

close(IN1);

#print "Files Transmitted: ", $xferfiles, "|", $xferfilesnr, "\n";
#print "Differences: ", $xferfiles - $xferfilesnr, "\n";
print " ", $xferfiles - $xferfilesnr, "\n";
