#!/usr/bin/perl

($Dir, $FILES) = @ARGV;

if (!(-r $Dir)) {
  print "Error: <$Dir> is not readable.\n";
  exit;
}
elsif (!(-e $Dir)) {
  print "Error: <$Dir> is not exit.\n";
  exit;
}
else {
  opendir(FOLDER, $Dir) || warn "Unable to open $Dir\n";
  foreach $FILES (readdir(FOLDER)) {
    $FILES =~ /(\D+)\.(\d+)\.gz$/;
    if ( $2 =~ /^9912\d+/ ) {
      print "Copy & Move file name:<$FILES>\n";
    }
    elsif ($2 =~ /^99\d+/ ) {
      print "Move file (1999) name:<$FILES>\n";
    }
    elsif ($2 =~ /^00\d+/ ) {
      print "Move file (2000) name:<$FILES>\n";
    }
    elsif ($2 =~ /^98\d+/ ) {
      print "Move file (1998) name:<$FILES>\n";
    }
  }
  closedir(FOLDER);
}

exit0;
