#!/bin/sh 

#=======================================================
#
# These four definitions specify the binary paths for
# tarkovsky and outback and the writable document and log root
# for the web server.
#
#=======================================================
#
outback_bin=/srvtools/bin/stats
tarkovsky_bin=/project/npac_srvtools/bin/stats
#tarkovsky_bin=/home/B10F/httpadm/srvtools

echo '['`date`'] Starting: run.sh'

#   Run script on outback to build a statistics file wwwstat.html
#
$outback_bin/wwwstat.sh

#
#   Run a script on tarkovsky to build the graphics.
#
#  rsh tarkovsky.npac.syr.edu $nova_bin/gwstat.sh
#/usr/local/bin/ssh  tarkovsky.npac.syr.edu $nova_bin/gwstat.sh


#
#   Run a script to update the monthly graphs for each year.
#   only really need to do this once each month.
#
if (test `date +%d` = "01") then
  echo "1st of the month"
  $outback_bin/outback_run_month.sh
fi

/usr/local/bin/ssh  vega.npac.syr.edu $tarkovsky_bin/gwstat.sh

if (test `date +%d` = "01") then
  $outback_bin/outback_copy_month.sh
fi

#
#   Finish
#
echo '['`date`'] Finished: run.sh'
exit
